/*Für Desktops...*/
@media screen and (min-width:768px){
   body{
        /*Legt das Grid-Template an: 5 Spalten*/
         display: grid;
         grid-template-columns: 20% 20% 20% 20% 20%;
         justify-items: stretch;
         margin: 0px;
         padding: 0px;
         color: white;
   }

   header{
        /*Positioniere Header im Grid: von erster bis letzter Spalte*/
        /* grid-column: 1 / 6; */
        grid-column: 1 / -1;
        background-color: #333;
        font-size: 2em;
        padding: 2em;
        text-align: center;
   }

   nav{
        background-color: darkgoldenrod;
        grid-column-start: 1;
        grid-column-end: 2;
   }

   nav a{
        color: white;
   }

   main{
        /*Positioniere Main-Contentbereich im Grid: von zweiter bis letzter Spalte*/
        grid-column-start: 2;
        grid-column-end: 6;
        /* grid-column: 2 / -1; */
        background-color: chartreuse;
   }

    .gallery{
        /*Inhalte werden in flexbox angeordnet, nicht als grid. Da dynamisch viele Bilder möglich sind.*/
        display: flex;
        flex-wrap: wrap;
        justify-content: space-evenly;
        align-items: center;
    }

    .gallery img{
        width: 100%;
        max-width: 30%;
        height: auto;
        margin: 1em;
        /* border: 1px solid #333; */
    }

   footer{
        /*Positioniere Footer im Grid: von erster bis letzter Spalte*/
        grid-column-start: 1 ;
        grid-column-end: 6;
        background-color: deeppink;
        padding: 2em;
        text-align: center;
    }

}

/*Für kleine Bildschirme...*/
@media screen and (max-width:768px) /*and (pointer:coarse), screen and (max-width:1200px) and (pointer:none) */
{

    body{
        /*Legt das Grid-Template an: 2 Spalten*/
        display: grid;
        grid-template-columns: 50% 50%;
        justify-items: stretch;
        margin: 0px;
        padding: 0px;
    }

    header{
        /* grid-column: 1 / -1; */
        grid-column-start: 1;
        grid-column-end: 3;
        background-color: #333;
        color: white;
        padding: 1em;
        text-align: center;
    }

    nav{
        display: none;
    }

    main{
        grid-column-start: 1;
        grid-column-end: 3;
        background-color: chartreuse;
        padding: 0px;
        margin: 0px;
    }

    .gallery{
        display: flex;
        flex-wrap: wrap;
    }

    .gallery img{
        width: 100%;
        height: auto;
        border: 1px solid #333;
    }

    footer{
        grid-column-start: 1 ;
        grid-column-end: 3;
        background-color: deeppink;
    }

}/*end of media query for smarphone*/